#ifndef Kamera_H
#define Kamera_H

#include <Bild.h>
#include <Rahmen.h>

using namespace Framework;

class Karte;

class Kamera
{
private:
	Punkt pos;
	LRahmen mmr;
	int ref;

public:
	// Konstruktor
	Kamera();
	// nicht constant
	void setPosition( int x, int y );
	void addPosition( int x, int y, Karte *zMap );
	bool beginnRender( Bild &zRObj, Karte *zMap, int n );
	void endRender( Bild &zRObj );
	void beginnMinimap( Bild &zRObj, Karte *zMap );
	void endMinimap( Bild &zRObj );
	// constant
	Punkt getPos() const;
	// Reference Counting
	Kamera *getThis();
	Kamera *release();
};

#endif